ApiEnableOozieHaArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiEnableOozieHaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEnableOozieHaArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiEnableOozieHaArguments
      extends Object

  ApiEnableOozieHaArguments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEnableOozieHaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiEnableOozieHaArguments` | `addNewOozieServerHostIdsItem(String newOozieServerHostIdsItem)`
    `ApiEnableOozieHaArguments` | `addNewOozieServerRoleNamesItem(String newOozieServerRoleNamesItem)`
    `boolean` | `equals(Object o)`
    `String` | `getLoadBalancerHostname()` Hostname of the load balancer used for Oozie HA.
    `String` | `getLoadBalancerHostPort()` Address of the load balancer used for Oozie HA.
    `BigDecimal` | `getLoadBalancerPort()` HTTP port of the load balancer used for Oozie HA.
    `BigDecimal` | `getLoadBalancerSslPort()` HTTPS port of the load balancer used for Oozie HA when SSL is enabled.
    `List<String>` | `getNewOozieServerHostIds()` IDs of the hosts on which new Oozie Servers will be added.
    `List<String>` | `getNewOozieServerRoleNames()` Names of the new Oozie Servers.
    `String` | `getZkServiceName()` Name of the ZooKeeper service that will be used for Oozie HA.
    `int` | `hashCode()`
    `ApiEnableOozieHaArguments` | `loadBalancerHostname(String loadBalancerHostname)`
    `ApiEnableOozieHaArguments` | `loadBalancerHostPort(String loadBalancerHostPort)`
    `ApiEnableOozieHaArguments` | `loadBalancerPort(BigDecimal loadBalancerPort)`
    `ApiEnableOozieHaArguments` | `loadBalancerSslPort(BigDecimal loadBalancerSslPort)`
    `ApiEnableOozieHaArguments` | `newOozieServerHostIds(List<String> newOozieServerHostIds)`
    `ApiEnableOozieHaArguments` | `newOozieServerRoleNames(List<String> newOozieServerRoleNames)`
    `void` | `setLoadBalancerHostname(String loadBalancerHostname)`
    `void` | `setLoadBalancerHostPort(String loadBalancerHostPort)`
    `void` | `setLoadBalancerPort(BigDecimal loadBalancerPort)`
    `void` | `setLoadBalancerSslPort(BigDecimal loadBalancerSslPort)`
    `void` | `setNewOozieServerHostIds(List<String> newOozieServerHostIds)`
    `void` | `setNewOozieServerRoleNames(List<String> newOozieServerRoleNames)`
    `void` | `setZkServiceName(String zkServiceName)`
    `String` | `toString()`
    `ApiEnableOozieHaArguments` | `zkServiceName(String zkServiceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEnableOozieHaArguments

          public ApiEnableOozieHaArguments()

  - ### Method Detail

    - #### newOozieServerHostIds

          public ApiEnableOozieHaArguments newOozieServerHostIds(List<String> newOozieServerHostIds)

    - #### addNewOozieServerHostIdsItem

          public ApiEnableOozieHaArguments addNewOozieServerHostIdsItem(String newOozieServerHostIdsItem)

    - #### getNewOozieServerHostIds

          public List<String> getNewOozieServerHostIds()

      IDs of the hosts on which new Oozie Servers will be added.
      Returns:
        newOozieServerHostIds

    - #### setNewOozieServerHostIds

          public void setNewOozieServerHostIds(List<String> newOozieServerHostIds)

    - #### newOozieServerRoleNames

          public ApiEnableOozieHaArguments newOozieServerRoleNames(List<String> newOozieServerRoleNames)

    - #### addNewOozieServerRoleNamesItem

          public ApiEnableOozieHaArguments addNewOozieServerRoleNamesItem(String newOozieServerRoleNamesItem)

    - #### getNewOozieServerRoleNames

          public List<String> getNewOozieServerRoleNames()

      Names of the new Oozie Servers. This is an optional argument, but if provided, it should match the length of host IDs provided.
      Returns:
        newOozieServerRoleNames

    - #### setNewOozieServerRoleNames

          public void setNewOozieServerRoleNames(List<String> newOozieServerRoleNames)

    - #### zkServiceName

          public ApiEnableOozieHaArguments zkServiceName(String zkServiceName)

    - #### getZkServiceName

          public String getZkServiceName()

      Name of the ZooKeeper service that will be used for Oozie HA. This is an optional parameter if the Oozie to ZooKeeper dependency is already set in CM.
      Returns:
        zkServiceName

    - #### setZkServiceName

          public void setZkServiceName(String zkServiceName)

    - #### loadBalancerHostname

          public ApiEnableOozieHaArguments loadBalancerHostname(String loadBalancerHostname)

    - #### getLoadBalancerHostname

          public String getLoadBalancerHostname()

      Hostname of the load balancer used for Oozie HA. Optional if load balancer host and ports are already set in CM.
      Returns:
        loadBalancerHostname

    - #### setLoadBalancerHostname

          public void setLoadBalancerHostname(String loadBalancerHostname)

    - #### loadBalancerPort

          public ApiEnableOozieHaArguments loadBalancerPort(BigDecimal loadBalancerPort)

    - #### getLoadBalancerPort

          public BigDecimal getLoadBalancerPort()

      HTTP port of the load balancer used for Oozie HA. Optional if load balancer host and ports are already set in CM.
      Returns:
        loadBalancerPort

    - #### setLoadBalancerPort

          public void setLoadBalancerPort(BigDecimal loadBalancerPort)

    - #### loadBalancerSslPort

          public ApiEnableOozieHaArguments loadBalancerSslPort(BigDecimal loadBalancerSslPort)

    - #### getLoadBalancerSslPort

          public BigDecimal getLoadBalancerSslPort()

      HTTPS port of the load balancer used for Oozie HA when SSL is enabled. This port is only used for oozie.base.url -- the callback is always on HTTP. Optional if load balancer host and ports are already set in CM.
      Returns:
        loadBalancerSslPort

    - #### setLoadBalancerSslPort

          public void setLoadBalancerSslPort(BigDecimal loadBalancerSslPort)

    - #### loadBalancerHostPort

          public ApiEnableOozieHaArguments loadBalancerHostPort(String loadBalancerHostPort)

    - #### getLoadBalancerHostPort

          public String getLoadBalancerHostPort()

      Address of the load balancer used for Oozie HA. This is an optional parameter if this config is already set in CM.
      Returns:
        loadBalancerHostPort

    - #### setLoadBalancerHostPort

          public void setLoadBalancerHostPort(String loadBalancerHostPort)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.